> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get carrier configuration information

> Get Carrier Configuration (for this particular site)



## OpenAPI

````yaml /openapi/openapi_shipping_admin.json get /commerce/shipping/admin/carriers/{carrierId}
openapi: 3.0.1
info:
  description: OpenAPI Spec for Kibo Shipping Admin Service
  title: Shipping Admin
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /commerce/shipping/admin/carriers/{carrierId}:
    get:
      tags:
        - CarrierConfiguration
      summary: Get carrier configuration information
      description: Get Carrier Configuration (for this particular site)
      parameters:
        - description: ''
          in: path
          name: carrierId
          required: true
          schema:
            type: string
        - description: limits which fields are returned in the response body
          in: query
          name: responseFields
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CarrierConfiguration'
            text/json:
              schema:
                $ref: '#/components/schemas/CarrierConfiguration'
            text/plain:
              schema:
                $ref: '#/components/schemas/CarrierConfiguration'
          description: Success
components:
  schemas:
    CarrierConfiguration:
      properties:
        areCredentialsSet:
          description: "Indicates whether the credentials/passwords are set.\r\n<remarks>Credetials are updated only if this flag is set to true</remarks>"
          type: boolean
        auditInfo:
          $ref: '#/components/schemas/AdminUserAuditInfo'
        customTableRates:
          description: "A list of custom table rates for the 'Custom' carrier\r\n<remarks>only use this if Id == 'Custom'</remarks>"
          items:
            $ref: '#/components/schemas/CustomTableRate'
          nullable: true
          type: array
        enabled:
          description: Indicates that this CarrierConfiguration should be used at runtime
          type: boolean
        enabledForReturns:
          description: >-
            Indicates that this CarrierConfiguration should be the default for
            returns shipping
          type: boolean
        id:
          description: Carrier Id (usually a shortname of a carrier, e.g. FedEx)
          nullable: true
          type: string
        isDeliveryMethod:
          type: boolean
        settings:
          description: Carrier Configuration Settings
          items:
            $ref: '#/components/schemas/Setting'
          nullable: true
          type: array
      type: object
    AdminUserAuditInfo:
      properties:
        createBy:
          nullable: true
          type: string
        createDate:
          format: date-time
          nullable: true
          type: string
        updateBy:
          nullable: true
          type: string
        updateDate:
          format: date-time
          nullable: true
          type: string
      type: object
    CustomTableRate:
      description: ''
      properties:
        content:
          $ref: '#/components/schemas/CustomTableRateContent'
        deliveryDuration:
          description: "The number of days it takes to ship the item on custom carrier types. \r\nAllowed values : EXPRESS, 1_DAY, 2_DAY, 3_DAY"
          nullable: true
          type: string
        id:
          description: The Id of the CustomTableRate
          nullable: true
          type: string
        rateType:
          description: "The type of this rate\r\n<value>see ../commerce/catalog/admin/shipping/global/carriers/custom/serviceTypes/en-us</value>"
          nullable: true
          type: string
        value:
          description: The value of this custom table rate
          format: double
          type: number
      type: object
    Setting:
      properties:
        key:
          nullable: true
          type: string
        value:
          nullable: true
          type: string
      type: object
    CustomTableRateContent:
      description: ''
      properties:
        localeCode:
          nullable: true
          type: string
        name:
          nullable: true
          type: string
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````